Bug 1567457

Summary: [RFE] Configure Group of VMs and assign permission to user to manager all VMs from that group.
Product: Red Hat Enterprise Virtualization Manager Reporter: vaibhav <vpagar>
Component: ovirt-engineAssignee: Nobody <nobody>
Status: CLOSED DEFERRED QA Contact: meital avital <mavital>
Severity: unspecified Docs Contact:
Priority: medium    
Version: 4.1.6CC: audgiri, lsurette, lwright, michal.skrivanek, mkalinin, mperina, mtessun, rbarry, Rhev-m-bugs, srevivo
Target Milestone: ---Keywords: FutureFeature
Target Release: ---Flags: lsvaty: testing_plan_complete-
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-03-13 14:27:50 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: Virt RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description vaibhav 2018-04-14 00:17:31 UTC
Description of problem:

Define a group of VMs and tag them, then assign permission to the user to manage all VMs from that group.

Want to assign permission to all VMs from the group at a once instead of doing it one by one.

Version-Release number of selected component (if applicable):

RHEV-4.1 


How reproducible:

100%

Actual results:-

Currently, we cannot create a group of VMs and assign permissions to a single user to manage all operations on that VM.

Expected results:

We should be able to tag group of VMs and assign permissions to a single user to manage all VMs from that group.

Additional info:

Inforomed customer to try cluster_admin role but customer dont want user to get permissions for all the VMs from cluster, User should have permissions on a group of VMs.
Suggested customer to try with

Comment 1 Michal Skrivanek 2018-04-14 05:24:04 UTC
I suggest to use API to do that for now

Comment 6 Ryan Barry 2019-05-15 03:03:08 UTC
Ravi, any estimated effort for this?

Comment 9 Laura Wright 2019-05-28 15:54:55 UTC
Do you guys need any UX help with this issue? I'd be happy to mock up wireframes that reflect the flow of configuring the the group of VMs and assigning permissions to them. Would you want to set up a call for sometime soon so I can learn more about the requirements and background?